# stream_context_set_option

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

stream_context_set_option — Establece una opción para un flujo/envoltura/contexto

### Descripción

stream_context_set_option(
resource `$stream_or_context`,
string `$wrapper`,
string `$option`,
mixed `$value`
): bool
stream_context_set_option(resource `$stream_or_context`, array `$options`): bool

Esteblece una opción en el contexto especificado. `value` es establecio a `option` para `wrapper`

### Parámetros

`stream_or_context`

  El recurso de flujo o de contexto al que se le va a aplicar las opciones.

`options`

  Las opciones a establecer al contexto predeterminado.

  > Nota:

  > `options` debe ser una matriz asociativa de matrices asociativas con el formato `$matriz['envoltura']['opción'] = $valor`.

  > Consulte opciones y parámetros de contexto para una lista de opciones de flujos.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.